//
//  ApplicationDelegate.m
//  This file is part of COLLATINVS Mac.

//  COLLATINVS is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  COLLATINVS is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with COLLATINVS; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//  Created by Alain Baud on 05/05/09.
//

#import "ApplicationDelegate.h"


@implementation ApplicationDelegate

+ (void)initialize
{
	// Détermination des préférences par défaut
	
	NSUserDefaults *userDefaults = [NSUserDefaults standardUserDefaults];
	// Préférences: Langue:Français, Fréquence: tous les mots, avec morphologie, dans l'ordre alphabétique et avec le mot d'origine du texte 
	NSDictionary *appDefaults = [NSDictionary dictionaryWithObjectsAndKeys:@"0",@"langue",@"1",@"frequence",@"NO",@"morphologie",@"NO",@"ordreAlphabetique",@"NO",@"avecTexte",nil];
	[userDefaults registerDefaults:appDefaults];
}

// Quitte l'application lorsqu'on appuie sur le bouton de fermeture de la fenêtre principale
- (BOOL) applicationShouldTerminateAfterLastWindowClosed: (NSApplication *) theApplication
{
	return (YES);
}
@end
